Subject: bug#13028: inplace

From: Pádraig Brady <[email-masked]>
Date: Thu, 29 Nov 2012 19:16:22 +0000

On 11/29/2012 07:03 PM, Reuben Thomas wrote:
> On 29 November 2012 15:35, Pádraig Brady <[email-masked]> wrote:
>
>>
>> I definitely think this is worthwhile.
>>
>
> Great!
>
>
>> Where to put such a script is an issue.
>> We were thinking of a contrib/ folder for higher level
>> scripts like this that could leverage coreutils/
>> Translations in the shell script was one thing that was
>> I was wondering about, which I need to look at.
>>
>
> Is there a reason it can't be shipped so it'll install as part of coreutils?

Well contrib/ in upstream to be installed in standard locations.

>> rewrite is my favorite name so far.
>>
>
> It sounds better, but I'd favour "inplace" as it's the term used by most
> utilities, like Perl and sed, that already provide such a built-in
> facility, and is hence more easily discovered.

Previous notes on naming:
http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00238.html

"rewrite" is more descriptive as a verb as to what is actually happening.
We can finalize on the naming anyway when we have the implementation sorted.

thanks,
Pádraig.